#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerdraw.h"

main(int argc, char *argv[])
{
   PD_Surface *surface;

   /* Initialize the library */
   PP_Init();
   PD_Init();

   /* Initialize 640x480x16bpp graphics mode */
   PD_SetGFXMode(640, 480, 16, PD_DEFAULT);

   /* Create the surface to draw on  */
   surface = PD_CreateSurface(100, 100);

   /* draw a circle on the surface */
   PD_CircleFilled(surface, 50, 50, 50, .005, PD_CreateColor(Screen, 0xFF, 0x00, 0x00));

   /* Copy the surface to screen with alpha */
   PD_BlitTransparent(surface, DoubleBuffer, 0, 0, 270, 190, 100, 100, 0, 150);

   /* Show the doublebuffer */
   PD_ShowDoubleBuffer();

   /* wait 5 seconds so you can see it */
   PP_Wait(5000);

   /* Cleanup */
   PD_Quit();
   PP_Quit();
}
